loci.formats.in

## Class PrairieMetadata.PFile

- java.lang.Object
- - loci.formats.in.PrairieMetadata.PFile

- Enclosing class:
    PrairieMetadata

      public class PrairieMetadata.PFile
      extends java.lang.Object

  A Prairie `<File>` beneath a `<Frame>`. It is called `PFile` rather than `File` to avoid confusion with the `File` class.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Integer` | `channel` `channel` of this `<File>`.
    `private java.lang.String` | `channelName` `channelName` attribute of this `<File>`.
    `private java.lang.String` | `filename` `filename` attribute of this `<File>`.
    `private PrairieMetadata.Frame` | `frame` The `<Frame>` containing this `<File>`.
    `private java.lang.Integer` | `page` `page` attribute of this `<File>`.
    `private java.lang.Double` | `waveMax` `wavelengthMax` attribute of this `<File>`.
    `private java.lang.Double` | `waveMin` `wavelengthMin` attribute of this `<File>`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PFile(PrairieMetadata.Frame frame, org.w3c.dom.Element fileElement)` Creates a new file by parsing the given `<File>` element.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getChannel()` Gets the `channel` associated with this `File`.
    `java.lang.String` | `getChannelName()` Gets the `channelName` associated with this `File`.
    `java.lang.String` | `getFilename()` Gets the `filename` associated with this `File`.
    `PrairieMetadata.Frame` | `getFrame()` Gets the `<Frame>` containing this `<File>`.
    `java.lang.Integer` | `getPage()` Gets the `page` associated with this `File`.
    `java.lang.Double` | `getWavelengthMax()` Gets the `wavelengthMax` associated with this `File`.
    `java.lang.Double` | `getWavelengthMin()` Gets the `wavelengthMin` associated with this `File`.
    `void` | `parse(org.w3c.dom.Element fileElement)` Parses metadata from the given `File` element.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### frame

          private PrairieMetadata.Frame frame

      The `<Frame>` containing this `<File>`.

    - #### channel

          private java.lang.Integer channel

      `channel` of this `<File>`.

    - #### channelName

          private java.lang.String channelName

      `channelName` attribute of this `<File>`.

    - #### filename

          private java.lang.String filename

      `filename` attribute of this `<File>`.

    - #### page

          private java.lang.Integer page

      `page` attribute of this `<File>`.

    - #### waveMin

          private java.lang.Double waveMin

      `wavelengthMin` attribute of this `<File>`.

    - #### waveMax

          private java.lang.Double waveMax

      `wavelengthMax` attribute of this `<File>`.

  - ### Constructor Detail

    - #### PFile

          public PFile(PrairieMetadata.Frame frame,
                       org.w3c.dom.Element fileElement)

      Creates a new file by parsing the given `<File>` element.

  - ### Method Detail

    - #### getFrame

          public PrairieMetadata.Frame getFrame()

      Gets the `<Frame>` containing this `<File>`.

    - #### parse

          public void parse(org.w3c.dom.Element fileElement)

      Parses metadata from the given `File` element.

    - #### getChannel

          public int getChannel()

      Gets the `channel` associated with this `File`.

    - #### getChannelName

          public java.lang.String getChannelName()

      Gets the `channelName` associated with this `File`.

    - #### getFilename

          public java.lang.String getFilename()

      Gets the `filename` associated with this `File`.

    - #### getPage

          public java.lang.Integer getPage()

      Gets the `page` associated with this `File`.

    - #### getWavelengthMin

          public java.lang.Double getWavelengthMin()

      Gets the `wavelengthMin` associated with this `File`.

    - #### getWavelengthMax

          public java.lang.Double getWavelengthMax()

      Gets the `wavelengthMax` associated with this `File`.

Copyright © 2026 Open Microscopy Environment